<?php
define('_IN_JOHNCMS', 1);

$rootpath = '';
$headmod = 'feedback';
$textl = 'Biz bilan aloqa';

require('incfiles/core.php');
$lng_faq = core::load_lng('faq');
require('incfiles/head.php');


if (isset($_POST['submit'])) {

                    ### Проверяем переменные
$kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
$mail = $set['email'];                                                                          // Мыло админа
$msg = isset($_POST['msg']) ? functions::check(mb_substr($_POST['msg'], 0, 1000)) : '';         // Текст письма
$trans = isset($_POST['msgtrans']) ? 1 : 0;                                                     // Текст письма в транслите, если включено
$tema = isset($_POST['subject']) ? $_POST['subject'] : '';                                      // Тема мыла
$from = isset($_POST['e-mail']) ? functions::check(mb_substr($_POST['e-mail'], 0, 30)) : '';    // Обратка для ответа


                    ### Проверка на наебки
        // Проверка сообщения
if (empty($msg)) $error = $error . 'Siz xabar matnini kiritmadingiz!<br />';
        // Проверка темы
if (empty($tema)) $error = $error . 'Siz xabar mavzusini kiritmadingiz!<br />';
        // Проверка обратки
if (empty($from)) $error = $error . 'Siz e-mailni kiritmadingiz!<br />';
if (!empty($from)){
    if (!eregi("^[a-z0-9\._-]+@[a-z0-9\._-]+\.[a-z]{2,4}\$", $from))
        { $error = $error . 'E-mail xato!<br/>'; }
        }
        // Проверка кода CAPTCHA
if (empty($kod) || mb_strlen($kod) < 4)
    $error = $error . 'Tekshiruvchi kodni kiritmadingiz!<br/>';
elseif
    ($kod != $_SESSION['code'])
    $error = $error . 'Tekshiruvchi kod xato!<br/>';
    unset($_SESSION['code']);

                    ### Бодяжим и мылим письмо, если нет косяков
if (!$error) {
        // назначаем переменные
    $email = $mail;
    $text = $msg;
    $subject = $tema;
        // обрабатывем их
    $text = str_replace("<br />", "\r\n", $text);
    if ($login) $login = iconv('UTF-8', 'windows-1251', $login);
    $from = ($user_id ? $login.' <'.$from.'>' : $from) ;
    if ($trans) $text = functions::trans($text);                                  // Транслит сообщения
    $text = iconv('UTF-8', 'windows-1251', $text);
    $subject = iconv('UTF-8', 'windows-1251', $subject);
    $headers = iconv('UTF-8', 'windows-1251', "MIME-Version: 1.0\r\n"."Content-type: text/plain; charset=Windows-1251\r\n".'From: '.$from."\r\n".'Reply-To: '.$from."\r\n".'X-Mailer: PHP/'.phpversion());
    // $headers = "MIME-Version: 1.0\r\n"."Content-type: text/plain; charset=Windows-1251\r\n".'From: '.$from."\r\n".'Reply-To: '.$from."\r\n".'X-Mailer: PHP/'.phpversion();

    mail($email, $subject, $text, $headers);
    echo '<div class="gmenu">Xabar jo`natildi!</div>';
    } else {
      echo functions::display_error($error);
      }

    }


$act = isset($_GET['act']) ? $_GET['act'] : '';
switch ($act) {

                        // Страница транслита
        case 'trans' :

            echo '<div class="phdr"><a href="faq.php"><b>F.A.Q.</b></a> | ' . $lng_faq['translit_help'] . '</div>' .
                 '<div class="menu"><p>' . $lng_faq['translit_help_text'] . '</p></div>' .
                 '<div class="phdr"><a href="./feedback.php">' . $lng['back'] . '</a></div>';
            break;



        default:

echo '<div class="phdr"><a href="pages/faq.php">F.A.Q.</a> | Biz bilan bog`lanish</div>';

echo '<form action="feedback.php" method="post">';
                // Тема письма
echo '<div class="menu">Xabar mavzusi</div>';
echo '<div class="gmenu"><p>';
echo '<span class="gray">To`g`ri keluvchi bo`limni tanlang</span><br />';
        echo '<select name="subject">';
        echo '<option value="">- Bo`limlar -</option>';
        echo '<option value="'.$set['copyright'].' / Обратная связь / Общие вопросы по работе сайта">Umumiy savollar</option>';
        echo '<option value="'.$set['copyright'].' / Обратная связь / Ошибки в работе сайта">Saytdagi xatoliklar</option>';
        echo '<option value="'.$set['copyright'].' / Обратная связь / Жалобная книга">Arz qilish</option>';
        echo '<option value="'.$set['copyright'].' / Обратная связь / Информация для администрации">Adminga xat</option>';
        echo '<option value="'.$set['copyright'].' / Обратная связь / Прочие вопросы">Har-xil savollar</option>';
        echo '</select>';
echo '</p></div></p>';

                // Обратный адрес
echo '<div class="phdr">E-mailingiz</div>';
echo '<div class="menu">';
echo '<input name="e-mail" value="'.($user_id ? $datauser['mail'] : '@').'" maxlength="30" />';
echo '</div>';

                // Текст сообщения
echo '<div class="phdr">Xabar matni</div>';
echo '<div class="menu">';
echo '<textarea name="msg" rows="8"></textarea>';
if ($user_id) {
    if ($set_user['translit'])
        echo '<br /><input type="checkbox" name="msgtrans" value="1" /> <a href="feedback.php?act=trans">Translitlash</a> (translit -> рус)';
    } else
    echo '<br /><input type="checkbox" name="msgtrans" value="1" /> <a href="feedback.php?act=trans">Translitlash</a> (translit -> рус)';

echo '</div>';

                // Проверочный код captcha
echo '<div class="phdr">Tekshiruv kodi</div>';
echo '<div class="menu">';
echo '<img src="captcha.php?r=' . rand(1000, 9999) . '" alt="Tekshiruv kodi"/><br />';
echo 'Rasmdagi kod:<br/><input type="text" size="5" maxlength="5" name="kod"/>';
echo '</div>';

echo '<div class="list1"><input type="submit" value="Jo`natish" name="submit" /></div>';
echo '</form>';

}

require_once('incfiles/end.php');
?>